> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.iot.telia.lt/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.iot.telia.lt/_mcp/server.

# Get details on existing data stream

GET https://iot.telia.lt/api/v2/data_stream/{data_stream_id}

Get data stream configuration and status by ID.


Reference: https://docs.iot.telia.lt/developers/api/integrations/get-data-streamer-by-id-v-2

## Authentication

- `Authorization` header (bearer token, required) — An `auth_token` should be provided to authenticate a session. To obtain an `auth_token`, see the [`/api/v1/authenticate` **POST** request](/developers/api/authentication/authenticate).

## Request

### Path parameters

- `data_stream_id` (string, required) — ID of a data stream.

## Response

### 200

Single Data Stream Configuration

- `name` (string, optional) — Descriptive name or purpose of the data stream
- `destination` (ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestination, optional)
- `filters` (list of ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaFiltersItems, optional)
- `data_stream_type` (any, optional)
- `relation_resolution` (any, optional)
- `status` (ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaStatus, optional)

## Errors

### 401 Unauthorized Error

No or invalid authentication token provided

- `any`

### 403 Forbidden Error

Authentication token is valid, but user has no access permissions to the request resource

- `any`

### 404 Not Found Error

A non-existent resource is requested

- `any`

## Types

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestination

- `connection_type` (string, required)
- `format` (string, optional)
- `credentials` (ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials, optional) — Destination credentials

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaFiltersItems

- `field` (string, optional) — Field to filter on
- `value` (list of string, optional) — Values to filter on

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaStatus

- `id` (double, required) — Status identifier
- `description` (string, optional) — Status description

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials

Destination credentials

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials0

Credential fields for Amazon Kinesis Data Streams

- `region` (string, required) — AWS Region of your Kinesis Data Stream
- `stream_name` (string, required) — Name of your Kinesis Data Stream
- `role_arn` (string, required) — Role ARN of IAM role with write permission for your Kinesis Stream

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials1

Credential fields for Amazon S3

- `region` (string, required) — AWS Region of your Kinesis Data Stream
- `bucket_name` (string, required) — Name of your S3 bucket
- `role_arn` (string, required) — Role ARN of IAM role with write permission for your S3 bucket
- `flush_size` (integer, optional) — Maximal number of entries in a single file. Default is `10000`. Valid flush sizes are between 10 and 100000.
- `rotate_interval` (integer, optional) — Maximal time in milliseconds between file writes. Default is `10000` ms. Valid rotation intervals are between 10000 ms and 900000 ms.

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials2

Credential fields for Webhook

- `url` (string, required) — URL of your Webhook / RestAPI endpoint
- `method` (string, optional) — HTTP Method to use. Options are `POST` (default), `PUT` and `PATCH`
- `headers` (list of string, optional) — Array containing additional header tuples. Expected Format is `["header1:value1, "header2:value2", ...]`. Headers are masked in GET request.
- `size` (integer, optional) — Number specifying of request should contain `1` message or an array of messages of the specified batch size. Default is `3000`. Valid sizes are between 1 and 10000.

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials3

Credential fields for KeenIO

- `project_id` (string, required) — Project ID reported by KeenIO
- `write_key` (string, required) — Write key of your KeenIO Project.
- `collection_name` (string, required) — Collection Name that you want to stream your data to.
- `size` (integer, optional) — Number specifying of request should contain `1` message or an array of messages of the specified batch size. Default is `3000`. Valid sizes are between 1 and 10000.

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials4

Credential fields for Datadog

- `api_key` (string, required) — Datadog API Key
- `region` (string, optional) — Datadog region. Options are `US` (default), `US3`, `EU` and `US1FED`

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials5

Credential fields for Microsoft Azure EventHub

- `connection_string` (string, required) — Connection string with Access Key to your Event Hub.

### ApiV2DataStreamDataStreamIdGetResponsesContentApplicationJsonSchemaDestinationCredentials6

Credential fields for Google Cloud Pub/Sub

- `cps_topic` (string, required) — Topic name of PubSub topic
- `cps_project` (string, required) — Project ID of the topic project.

## Examples

**Response**

```json
{
  "destination": {
    "connection_type": "KeenIO",
    "format": "Json",
    "credentials": {
      "collection_name": "MyDataStream",
      "project_id": "1234567890abcdef12345678",
      "size": 3000,
      "write_key": "1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
    }
  },
  "data_stream_type": {
    "description": "Usage",
    "id": 1
  },
  "status": {
    "id": 1,
    "description": "Running"
  },
  "id": "a1b2c3d4"
}
```

**SDK Code**

```python Active Data Stream Configuration
import requests

url = "https://iot.telia.lt/api/v2/data_stream/a1b2c3d4"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Active Data Stream Configuration
const url = 'https://iot.telia.lt/api/v2/data_stream/a1b2c3d4';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Active Data Stream Configuration
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://iot.telia.lt/api/v2/data_stream/a1b2c3d4"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Active Data Stream Configuration
require 'uri'
require 'net/http'

url = URI("https://iot.telia.lt/api/v2/data_stream/a1b2c3d4")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Active Data Stream Configuration
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://iot.telia.lt/api/v2/data_stream/a1b2c3d4")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Active Data Stream Configuration
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://iot.telia.lt/api/v2/data_stream/a1b2c3d4', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Active Data Stream Configuration
using RestSharp;

var client = new RestClient("https://iot.telia.lt/api/v2/data_stream/a1b2c3d4");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Active Data Stream Configuration
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://iot.telia.lt/api/v2/data_stream/a1b2c3d4")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```